<?php
/**
 * @package   Portal (free) - accessibletemplate
 * @version   4.0.0
 * @author    Francesco Zaniol, accessibletemplate - http://www.accessibletemplate.com
 * @copyright Copyright (C) 2011-Present Francesco Zaniol
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 **/
defined('ZHONG_FRAMEWORK') or die('Restricted access');

$this->global_vars['language'] = array( // English

/*----------------------------------------------------------------
   PAGE SECTIONS
----------------------------------------------------------------*/

    'quick-access-links' =>
        'Quick access links',

    'quick-access-menu' =>
        'Quick access menu',

    'accessibility-options' =>
        'Accessibility options',

    'breadcrumbs' =>
        'Location path',

    'support-menu' =>
        'Support menu',

    'language-options' =>
        'Language options',

    'search' =>
        'Search',

    'menu' =>
        'Menu',

    'main-menu' =>
        'Main menu',

    'side-menu' =>
        'Side menu',

    'login' =>
        'Login',

    'additional-resources' =>
        'Additional resources',

    'additional-resources-left-column' =>
        'Additional resources (left column)',

    'additional-resources-right-column' =>
        'Additional resources (right column)',

    'content' =>
        'Content',

    'main-content' =>
        'Main content',

    'complementary-content' =>
        'Complementary content',

    'supplementary-content-upper' =>
        'Complementary content (upper)',

    'supplementary-content-lower' =>
        'Complementary content (lower)',

    'footer' =>
        'Footer',

    'footer-menu' =>
        'Footer menu',

/*----------------------------------------------------------------
   MOBILE & NIGHT MODE
----------------------------------------------------------------*/

    'mobile-layout-content' =>
        'Mobile',

    'mobile-layout-title' =>
        'Switch to mobile site',

    'desktop-layout-content' =>
        'Default layout',

    'desktop-layout-title' =>
        'Switch to the desktop layout',

    'night-mode-content' =>
        'Night mode',

    'night-mode-title' =>
        'Night mode: this mode sets low luminance. It increases readability in dark environments.',

    'day-mode-content' =>
        'Day mode',

    'day-mode-title' =>
        'Back to day mode.',

/*----------------------------------------------------------------
   ACCESSIBILITY PANEL
----------------------------------------------------------------*/

    'access-bar-advanced-hidden-title' =>
        'Show accessibility options',

    'access-bar-advanced-hidden-content' =>
        'Accessibility panel',

    'access-bar-advanced-showed-title' =>
        'Hide accessibility options',

    'access-bar-advanced-showed-content' =>
        'Hide options',

// --------- Layout mode --------- //

    'access-bar-layout-modes-header' =>
        'Layout:',

    'access-bar-layout-modes-default-content' =>
        'Default layout',

    'access-bar-layout-modes-default-title' =>
        'This is the default version',

    'access-bar-layout-modes-highcontrast-content' =>
        'High contrast',

    'access-bar-layout-modes-highcontrast-title' =>
        'This layout is suitable for people with low vision',

// --------- Font size --------- //

    'access-bar-font-header' =>
        'Font size',

    'access-bar-font-increase-title' =>
        'Increase font size',

    'access-bar-font-revert-title' =>
        'Reset font size to default',

    'access-bar-font-decrease-title' =>
        'Decrease font size',

    'access-bar-font-increase-content' =>
        'bigger',

    'access-bar-font-revert-content' =>
        'reset',

    'access-bar-font-decrease-content' =>
        'smaller',

// --------- Graphic mode --------- //

    'access-bar-graphicmode-header' =>
        'Legibility',

    'access-bar-graphicmode-default-title' =>
        'This is the default version',

    'access-bar-graphicmode-best-title' =>
        'This mode increases contrast and highlights active elements. It is useful to visually impaired people and users who need better cognitive access. It is also useful for some people with reading disabilities such as dyslexia.',

    'access-bar-graphicmode-default-content' =>
        'Default legibility',

    'access-bar-graphicmode-best-content' =>
        'Best legibility',

    'access-bar-graphicmode-low-brightness' =>
        'Low brightness',

// --------- Layout width (note: some are deprecated) --------- //

    'access-bar-layout-header' =>
        'Layout width',

    'access-bar-layout-liquid-title' =>
        'The layout adapts to the browser width',

    'access-bar-layout-fixed-title' =>
        'The layout width is fixed',

    'access-bar-layout-full-title' =>
        'The layout width is full',

    'access-bar-layout-liquid-content' =>
        'Liquid',

    'access-bar-layout-fixed-content' =>
        'Fixed',

    'access-bar-layout-full-content' =>
        'Full',

/*----------------------------------------------------------------
   OTHER
----------------------------------------------------------------*/

// --------- General --------- //

    'top' =>
        'Top',

    'homepage' =>
        'Homepage',

    'tool-pane' =>
        'Tool pane',

    'toolbox' =>
        'Toolbox',

    'top-toolbar' =>
        'Top toolbar',

    'hide' =>
        'Hide',

    'show' =>
        'Show',

    'hide-panel' =>
        'Hide panel',

    'show-panel' =>
        'Show panel',

    'ok' =>
        'OK',

    'reset' =>
        'Reset',

    'bold' =>
        'Bold',

    'serif' =>
        'Serif',

    'sans-serif' =>
        'Sans serif',

    'pause' =>
        'Pause',

    'alert-message' =>
        'Alert message',

    'hide-this-message' =>
        'Hide this message',

    'dark' =>
        'Dark',

    'large-print' =>
        'Large print',

    'inverted' =>
        'Inverted',

    'theme' =>
        'Theme',

    'font' =>
        'Font type',

    'mobile' =>
        'Mobile',

    'access' =>
        'Access',

    'accessibility' =>
        'Accessibility',

    'style' =>
        'Style',

    'desktop' =>
        'Desktop',

    'user-options' =>
        'User options',

    'user-access' =>
        'User access',

    'line-height' =>
        'Line height',

    'increase' =>
        'Increase',

    'decrease' =>
        'Decrease',

    'expand' =>
        'Expand',

    'shrink' =>
        'Shrink',

// --------- Slideshow --------- //

    'accessible-slideshow-main-heading' =>
        'Slideshow',

    'accessible-slideshow-slideshow-button' =>
        'Slideshow button',

    'accessible-slideshow-next-slide-button' =>
        'Next slide button',

    'accessible-slideshow-previous-slide-button' =>
        'Previous slide button',

// --------- Miscellaneous --------- //

    'hide-submenu' =>
        'Hide the submenu',

    'expand-submenu' =>
        'Expand the submenu',

    'new-window-link' =>
        'Opens a new window',

    'external-link' =>
        'External link',

    'resize-handle-title' =>
        'Resize the layout',

    'bright-on-dark' =>
        'Bright on dark',

    'dark-on-bright' =>
        'Dark on bright',

    'black-on-color' =>
        'Black on color',

    'white-on-color' =>
        'White on color',

// --------- Welcome message + Preferences message --------- //

    'access-bar-message-welcome' =>
        'Welcome to '.$this->params['site']['site-name'],

    'access-bar-message-clickhere' =>
        'Click here to set your preferences',

// --------- Jump to --------- //

    'jump-to' =>
        'Jump to:',

    'jump-to-main-content' =>
        'Jump to main content',

    'jump-to-top' =>
        'Jump to top of the page',

    'jump-to-internal-nav' =>
        'Jump back to the quick access menu.',

// --------- Socials --------- //

    'share' =>
        'Share',

    'follow-us' =>
        'Follow us',

// --------- Obsolete IE message --------- //

    'iemessage-download-firefox-content' =>
        '<p>Attention: you are running an <strong>obsolete browser</strong>! We recommend updating your software to a newer version or download an alternative browser: <a href="https://www.mozilla.org/firefox/">download here the latest version of Firefox</a>.<br/>If you are running a Windows Operating System on a low performance computer we recommend installing <a href="http://www.midori-browser.org">Midori</a>.</p>',

/*----------------------------------------------------------------
   SPECIAL
----------------------------------------------------------------*/

    'accesskey' =>
        'accesskey',

// Sentence ending symbol (in the majority of languages this symbol is a period)
    'sentence-ending-symbol' =>
        '.',

    'colon-symbol' =>
        ':',

    'question-symbol' =>
        '?'

);
